Overview_Settings = class(Turbine.UI.Window);
 
function Overview_Settings:Constructor()

  Turbine.UI.Window.Constructor(self);
	self:SetSize(32, 16);
	self:SetPosition(overviewWindow:GetLeft() + overviewWindow:GetWidth() - 32, overviewWindow:GetTop());
	
	self.plusminus = Turbine.UI.Button();
	self.plusminus:SetParent(self);
	self.plusminus:SetSize(16, 16);
	self.plusminus:SetPosition(16, 0);
	self.plusminus.visible = storage.minimized;
	if self.plusminus.visible then
		self.plusminus:SetBackground("PvMP_Plus/Resources/plus.tga");
	else
		self.plusminus:SetBackground("PvMP_Plus/Resources/minus.tga");
	end
	self.plusminus.MouseDown = function(sender,args)
		storage.minimized = overviewWindow:IsVisible();
		if overviewWindow:IsVisible() then
			self.plusminus:SetBackground("PvMP_Plus/Resources/plus.tga");
			overviewWindow:SetVisible(false);
			self.plusminus.visible = false;
		else
			self.plusminus:SetBackground("PvMP_Plus/Resources/minus.tga");
			overviewWindow:SetVisible(true);
			self.plusminus.visible = true;
		end
	end
	
	self.settings = Turbine.UI.Button();
	self.settings:SetParent(self);
	self.settings:SetSize(16, 16);
	self.settings:SetPosition(0, 0);
	self.settings:SetBackground("PvMP_Plus/Resources/settings_button.tga");
	self.settings.MouseDown = function(sender,args)
			settings:SetVisible(not settings:IsVisible());
	end
	
	self:SetZOrder(1);
	
end